# The routine is a dict of all the data processing steps you want to perform. 
routine = {
            "unify_E_axis": None,
            "saveReload": 'rootdir + \"/../processed/Reload\"',
            "average": None,
            "norm": None,
            "Filter": '\"whittaker\",800',
            "outputDatFile": 'outdir + \"/Dat\"',
            "outputMatFile": 'outdir + \"/Mat\"',
            "PrintLogFile": 'outdir + \"/Log\"',
}

#Dictionary of comments made for the time and temperature in the .metadata file.
counter_PDF = {
    "time": "dateString=",             # Define the counter used for normalization
    "temperature": 'userComment1=HeaterSensor(A): ', #'userComment1="Temp: '      # Define the temperature chanel of ct scans
}

ends_with = '.dat' # this can differe for differnet live integrations used, but should be the same for one beamtime

ramp_start_temp = 35 #set a little bit higher than baseline temperature from which the measurment or bg started
plato_start_temp = 156 #temperatur on which to stay in °C
average = 60  #number of scans to average over
Qmaxinst = 20  #Qmax at which the mask sets in 
FactorMax = 1.3 #Mamimum Factor allowed for the BG subtraction to be calculated.

check_phases_at_scan = 20 #choose last scan processed by the live integration devided by the number of averged scans

###### PDF params
Composition = 'ZnS' # material the PDF should focus on (NP material)
Qmaxinst_integrate = 10.2 #Q at which in the XRD peaks dominate over the noise (Qmaxinst from xPDF)
Qmax = 9 #Qmax that the PDF will process
Qmin = 1.8 #minimal Q normally allways around 0.1
Rmax = 30 #maximal R to process the PDF to
Rpoly = 1 #polynomal degree which affects getPDFx bg subtraction
